--TEST--
File_CSV Test Case bug13332: Excel dump, wrong field count in parsing, bug status Bogus
--FILE--
<?php
// $Id: bug13332.phpt,v 1.1 2008/09/21 21:17:19 dufuz Exp $

require_once 'File/CSV.php';

$file = dirname(__FILE__) . '/bug13332.csv';
$conf = array(
    'fields' => 5,
    'sep'    => ',',
    'quote'  => '"',
    'header' => 0
);

$cvs = array();
while (($tmp = File_CSV::read($file, $conf)) !== false) {
    $csv[] = $tmp;
}

print_r($csv);
?>
--EXPECT--
Array
(
    [0] => Array
        (
            [0] => 1
            [1] => 2
            [2] => Twenty
            [3] => This is a test of a "quoted" value.
            [4] => There is no cow
        )

    [1] => Array
        (
            [0] => 2
            [1] => 4
            [2] => Forty
            [3] => Another "quoted value", with a comma.
            [4] => There is a cow
        )

)
